//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixKeyClrDlgs.h"
#include "CpkKeyWins.h"
#include "Global.h"
#include "fileman.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixKeyClrDlg *MixKeyClrDlg;
//---------------------------------------------------------------------------
bool __fastcall MixClearKeyring(TForm *Owner, TForm *KeyWin, TTreeView *Treeview,
   bool &clrall)
{
   MixKeyClrDlg = new TMixKeyClrDlg(Owner);
   MixKeyClrDlg->treeview = Treeview; // treeview is here so redraw can be
   MixKeyClrDlg->ShowModal();         // turned off before exit
   bool clr = MixKeyClrDlg->ModalResult==mrOk;
   clrall = !MixKeyClrDlg->DisabledBox->Checked;
   delete MixKeyClrDlg;
   return clr;
}
//---------------------------------------------------------------------------
__fastcall TMixKeyClrDlg::TMixKeyClrDlg(TComponent* Owner)
  : TForm(Owner)
{
   CenterDialog(this,AppMainForm);
   DisabledBox->Checked = GetAppIni(MixKeepDisabled,"1")=="1";
}
//---------------------------------------------------------------------------
__fastcall TMixKeyClrDlg::~TMixKeyClrDlg()
{
   PutAppIni(MixKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{ // redraw is off here and on in mixkeywin clearallbtnclick
  if (ModalResult==mrOk) SetRedraw(treeview,0);
}
//---------------------------------------------------------------------------
