//---------------------------------------------------------------------------
#ifndef PgpFilesH
#define PgpFilesH
#include "mixmaster.h"
//---------------------------------------------------------------------------
AnsiString __fastcall PgpDir();
AnsiString __fastcall PgpPublicRing();
AnsiString __fastcall PgpSecretRing();
AnsiString __fastcall PgpImportRing();
AnsiString __fastcall PgpRemailRing();

bool __fastcall IsPGPArmoredHead(AnsiString line);                    // for parsing
bool __fastcall IsPGPArmoredTail(AnsiString line);                    // multi-block
bool __fastcall GetNextPGPArmored(BUFFER *asckeys, BUFFER *armored);  // files
bool __fastcall GetNextPGPArmored(TStrings *asckeys, TStrings *armored);  // files

const AnsiString BeginPgpPubKeyBlock = "-----BEGIN PGP PUBLIC KEY BLOCK-----";
const AnsiString EndPgpPubKeyBlock = "-----END PGP PUBLIC KEY BLOCK-----";
const AnsiString BeginPgpSecKeyBlock = "-----BEGIN PGP SECRET KEY BLOCK-----";
const AnsiString EndPgpSecKeyBlock = "-----END PGP SECRET KEY BLOCK-----";

const AnsiString IsConventionalEncr = "IsConventionalEncr";
#endif
