//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "HelpIndexDlgs.h"
#include "HelpDlgs.h"
#include "Fileman.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
THelpIndexDlg *HelpIndexDlg;
//---------------------------------------------------------------------------
void __fastcall BrowseHelpTopics(TForm *Owner)
{
   AnsiString topic;
   HelpIndexDlg = new THelpIndexDlg(Owner);
   CenterDialog(HelpIndexDlg,Owner);
   HelpIndexDlg->ShowModal();
   delete HelpIndexDlg;
}
//---------------------------------------------------------------------------
/*AnsiString __fastcall GetTopicFromHelpIndex(TForm *Owner)
{
   AnsiString topic; int pos;
   HelpIndexDlg = new THelpIndexDlg(Owner);
   CenterDialog(HelpIndexDlg,Owner);
   HelpIndexDlg->ShowModal();
   if (HelpIndexDlg->ModalResult==mrOk)
   {
      topic = HelpIndexDlg->ListBox1->Items->Strings[HelpIndexDlg->ListBox1->ItemIndex];
      if ((pos=topic.Pos(", "))>1) topic = topic.SubString(1,pos-1);
      int i=2; while (i<=topic.Length())
      {
         if (topic[i]==' ') topic.Delete(i,1);
         else i++;
      }
   }
   delete HelpIndexDlg;
   return topic;
}*/
//---------------------------------------------------------------------------
__fastcall THelpIndexDlg::THelpIndexDlg(TComponent* Owner)
  : TForm(Owner)
{
   AnsiString topic,subtopic;
   TStringList *topics = new TStringList();
   TStringList *subtopics = new TStringList();
   GetAppDataMainIndex(topics,QSHelp());
   for (int i=0; i<topics->Count; i++)
   {
      topic=topics->Strings[i];
      if (topic.Pos("0new.rtf")==1) continue;

      GetAppData(subtopics,topic,QSHelp());
      for (int s=0; s<subtopics->Count; s++)
      {
         int p=2; while (p<topic.Length())
         {
            if (topic[p]>='A' && topic[p]<='Z' && topic[p-1]>='a' && topic[p-1]<='z')
               topic.Insert(" ",p);
            p++;
         }
         subtopic = subtopics->Strings[s];
         ListBox1->Items->Add(topic+", "+subtopic.SubString(1,subtopic.Length()-4));
      }
   }
   delete subtopics;
   delete topics;
}
//---------------------------------------------------------------------------
void __fastcall THelpIndexDlg::ListBox1DblClick(TObject *Sender)
{
   OpenBtn->Click();
}
//---------------------------------------------------------------------------
void __fastcall THelpIndexDlg::ListBox1Click(TObject *Sender)
{
   OpenBtn->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall THelpIndexDlg::OpenBtnClick(TObject *Sender)
{
   int pos; AnsiString topic = ListBox1->Items->Strings[ListBox1->ItemIndex];
   if ((pos=topic.Pos(", "))>1) topic = topic.SubString(1,pos-1);
   int i=2; while (i<=topic.Length())
   {
      if (topic[i]==' ') topic.Delete(i,1);
      else i++;
   }
   if (!topic.IsEmpty()) OpenHelp(topic,"","",this);
}
//---------------------------------------------------------------------------