//---------------------------------------------------------------------------
#ifndef PgpKeyExpDlgsH
#define PgpKeyExpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include "pgpbuffers.h"
//---------------------------------------------------------------------------
bool __fastcall ExportOpenPGPKeys(TForm *Owner, TPGPbuffer *PublicKeys,
   TPGPbuffer *SecretKeys, AnsiString SelectedKeyId);

class TPgpKeyExpDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TButton *CancelBtn;
  TLabel *Label1;
  TRichEdit *RichEdit1;
  TButton *ExportBtn;
  TListBox *ListBox1;
  TPanel *Panel2;
  TLabel *Label2;
  TRadioButton *ClipBtn;
  TRadioButton *FileBtn;
  TCheckBox *PrivateKeysBox;
  TButton *SelBtn;
  TButton *ClrBtn;
  void __fastcall SelBtnClick(TObject *Sender);
  void __fastcall ClrBtnClick(TObject *Sender);
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall ExportBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TPGPbuffer *pdb,*sdb;
  __fastcall TPgpKeyExpDlg(TComponent* Owner);
  AnsiString __fastcall KeyIdText8(int atpos);
};
//---------------------------------------------------------------------------
extern TPgpKeyExpDlg *PgpKeyExpDlg;
//---------------------------------------------------------------------------
#endif
